### Hierarchy

- IEmitter
  - IGridHeadingCellResizing

## Index

### Properties

- emit
- height
- off
- offsetX
- offsetY
- on
- register
- type
- unRegister
- width

### Methods

- removeEvent
- removeEvents

## Properties

### emit

emit: function

Inherited from IEmitter.emit

- Defined in Emitter.ts:4

#### Type declaration

- - (name: string, args?: any): void

  - #### Parameters

    - ##### name: string

    - ##### Optional args: any

    #### Returns void

### height

height: number

- Defined in Grid3/GridHeadingCell.ts:14

### off

off: function

Inherited from IEmitter.off

- Defined in Emitter.ts:3

#### Type declaration

- - (name: string, callback: any): void

  - #### Parameters

    - ##### name: string

    - ##### callback: any

    #### Returns void

### offsetX

offsetX: number

- Defined in Grid3/GridHeadingCell.ts:15

### offsetY

offsetY: number

- Defined in Grid3/GridHeadingCell.ts:16

### on

on: function

Inherited from IEmitter.on

- Defined in Emitter.ts:2

#### Type declaration

- - (name: string, callback: any): void

  - #### Parameters

    - ##### name: string

    - ##### callback: any

    #### Returns void

### register

register: function

Inherited from IEmitter.register

- Defined in Emitter.ts:5

#### Type declaration

- - (callback: any): void

  - #### Parameters

    - ##### callback: any

    #### Returns void

### type

type: string

- Defined in Grid3/GridHeadingCell.ts:12

### unRegister

unRegister: function

Inherited from IEmitter.unRegister

- Defined in Emitter.ts:6

#### Type declaration

- - (callback: any): void

  - #### Parameters

    - ##### callback: any

    #### Returns void

### width

width: number

- Defined in Grid3/GridHeadingCell.ts:13

## Methods

### removeEvent

- removeEvent(): void

- Inherited from IEmitter.removeEvent

  - Defined in Emitter.ts:7

  #### Returns void

### removeEvents

- removeEvents(): void

- Inherited from IEmitter.removeEvents

  - Defined in Emitter.ts:8

  #### Returns void

Generated using TypeDoc